Matthew Greenwood-Nimmo, Viet Hoang Nguyen, and Yongcheol Shin, 
"Probabilistic Forecasting of Output Growth, Inflation and the Balance 
of Trade in a GVAR Framework", Journal of Applied Econometrics, Vol. 27, 
no. 4, 2012, pp. 554-573.

There are 26 separate data files, all of them ASCII files in DOS format, 
for data sets of 26 countries/regions used in the above paper, each with
117 quarterly observations (from 1980Q2 to 2009Q2). They are all zipped 
in the file GNS-data.zip. Detailed descriptions of the data in each file 
are found in the following table:

     File       : No. of Columns :                   Column Description
----------------:----------------:-------------------------------------------------------------
1 USA		:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
2 Eurozone	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
3 Japan		:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
4 UK		:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
5 Norway	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
6 Sweden	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
7 Switzerland	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
8 Canada	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
9 Australia	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
10 New Zealand	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
11 SAfrica	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
12 Argentina	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
13 Brazil	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
14 Chile	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
15 Mexico	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
16 India	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
17 Korea	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
18 Malaysia	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
19 Philippines	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
20 Singapore	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
21 Thailand	:      (16)      : time, y, p, dp, q, e, r, ex, im, po, rs, qs, dps, ys, es, ps
22 China 	:      (15)      : time, y, p, dp, e, r, ex, im, po, rs, qs, dps, ys, es, ps
23 Indonesia 	:      (15)      : time, y, p, dp, e, r, ex, im, po, rs, qs, dps, ys, es, ps
24 Peru 	:      (15)      : time, y, p, dp, e, r, ex, im, po, rs, qs, dps, ys, es, ps
25 Turkey 	:      (15)      : time, y, p, dp, e, r, ex, im, po, rs, qs, dps, ys, es, ps
26 Saudi Arabia :      (14)      : time, y, p, dp, e, ex, im, po, rs, qs, dps, ys, es, ps

where:
-----------------------------------------------------------
*  time
*  y	: log real output
*  p	: log CPI
*  dp	: inflation 
*  q	: log real stock price index 
*  e	: log nominal exchange rate (local currency/$) 
*  r	: log short-term domestic interest rate
*  ex	: log real export 
*  im	: log real import 
*  po	: log oil price, UK Brent 
*  rs	: log short-term foreign interest rate 
*  qs	: log foreign stock price index
*  dps	: foreign inflation
*  ys	: log foreign real output
*  es	: log foreign nominal exchange rate
*  ps	: log foreign CPI
-----------------------------------------------------------

* All the foreign variables are constructed as the trade-weight based
averages. For detailed construction of data series, see the paper and its
accompanied the Technical Annex.


----------------------------
--- Trade-Weight matrix ----
----------------------------

Trade-weight matrix is provided in "Trade-Weight.text" file. Trade weights
are calculated as the averaged trade shares (import+export) over 3 years
(1999-2001) of country j with country i, with i,j = 1,...,26. The
trade-weight matrix is also used to create the LINK-matrix in the paper.
Data for trade-weights were collected from Economic and Social Data Service
- International (ESDS International).


--------------------
--- Data Source ----
--------------------

Most the data series are collected from ESDS International. Specifically:

1. Real GDP:
------------ 

Real GDP series for 33 countries were taken from the IMF's International
Financial Statistics (IFS), Series 90BVRZF (Index, 2005 = 100). When
unavailable, the IFS series were completed from other sources. Datastream
was used to complete the Singaporean series and OECD data were used for
Brazil, India and the UK. The missing data for the Philippines between
2006Q4 and 2007Q2 was extrapolated using the official growth rates from the
National Statistics Coordination Board. When data was unavailable at the
quarterly frequency, the annual series were interpolated following the
method in DdPS (Supplement A). This technique was employed for China and
Saudi Arabia over the full sample period, for Argentina from 1980-1989, for
Brazil from 1980-1990, for India from 1980-1996, for Indonesia from
1980-1982, for Malaysia from 1980-1987, for the Philippines from 1980-1989,
for Thailand from 1980-1992, and for Turkey from 1980-1986. Where necessary,
the data were seasonally adjusted using the US Census Bureau's X12 routine.
 
2. Consumer Price Index:
------------------------

CPI data were collected from IFS Series 64.ZF (Index, 2005 = 100). CPI data
for China (1987Q1-2007Q2, seasonally adjusted) and Germany (1980Q1-2007Q2)
was provided by the Bank of Korea. Chinese CPI data was then augmented with
IFS Series 64.XZF. Finnish CPI data was sourced from IFS Series 63EY.ZF.

3. Nominal Exchange Rate:
-------------------------

Nominal exchange rates were collected from IFS
Series, RF.ZF, measured in units of national currency per US$. The Eurozone
series are the ECU-EURO/USD rate collected from the OECD's Main Economic
Indicators.

4. Short-term Interest Rate:
----------------------------

Short-term interest rate series measured in percent
per annum were taken from IFS Series 60B..ZF (money market - interbank -
rate) for 16 countries. IFS Series 60L..ZF (deposit rate) was used for
Argentina, Chile, China and Turkey. For Sweden, IFS Series 60B..ZF was
augmented with IFS Series 60A..ZF from 2004q4. IFS Series 60C..ZF (treasury
bill rate) was used for Mexico. IFS Series 60...ZF (discount rate) was used
for New Zealand and Peru. For India, the series over 1998q2-2006q2 were
retrieved from the Reserve Bank of India. For Norway, the NIBOR 3-month
rates from the OECD were used. Finland, Germany, Italy, and Spain have their
own interest rate series over the full sample period whilst for Austria,
Belgium, France, and Netherlands, IFS Series 60A..ZF ended at 1998q4 and
were then augmented with overnight Euro interbank rates.

5. Export and Import:
--------------------------

IFS Series 70..DZF (exports) and IFS Series 71..DZF (import) 
measured in millions of US\$, were available for 33 countries.
Where necessary, the data were extrapolated backward using
export and import growth rates obtained from the World Bank. This technique
was applied for Belgium over 1980-1992 and for China in 1980. The quarterly
series for Saudi Arabia were interpolated from annual data. All the series
were then seasonally adjusted using the US Census Bureau's X12 routine.

6. Equity Price Index:
----------------------

Equity price indices were collected as IFS Series
62...ZF (industrial share prices index) for 30 countries. The series for the
UK, Switzerland and Mexico were collected from the OECD's Main Economic
Indicators. For Argentina, Singapore and Thailand, the IFS series were
augmented with data collected from Datastream.

7. Oil Price:
-------------

The UK Brent series, measured in US\$ per barrel, was retrieved from the 
IMF Commodity Price database.

-----

Viet Hoang Nguyen
Leeds University Business School
bus5vhn [AT] leeds.ac.uk
